Bug 2015989 - 100% of the cco-metrics/cco-metrics targets in openshift-cloud-credential-operator namespace are down
Summary: 100% of the cco-metrics/cco-metrics targets in openshift-cloud-credential-ope...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.9.z
Assignee: Akhil Rane
QA Contact: wang lin
URL:
Whiteboard:
Depends On: 1996624
Blocks: 2026098
TreeView+ depends on / blocked
 
Reported: 2021-10-20 14:43 UTC by OpenShift BugZilla Robot
Modified: 2021-12-03 20:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-29 10:53:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 405 0 None open [release-4.9] Bug 2015989: Check for aws status in infra platform status field before client setup 2021-10-21 02:34:46 UTC
Red Hat Product Errata RHBA-2021:4834 0 None None None 2021-11-29 10:54:14 UTC

Comment 2 wang lin 2021-10-21 12:02:13 UTC
Verified using cluster-bot image with pr merged

1.a osp cluster
oc get infrastructure cluster -o json | jq -r ".status.platform"
OpenStack

2.Create a aws root creds in kube-system

3.Check hive pod doesn't crash
$ oc logs cloud-credential-operator-7f5b66686b-x2mfs -c cloud-credential-operator | grep "aws-creds"
time="2021-10-21T11:53:59Z" level=info msg="observed admin cloud credential secret event" namespace=kube-system secret=aws-creds

Comment 7 errata-xmlrpc 2021-11-29 10:53:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.9 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4834


Note You need to log in before you can comment on or make changes to this bug.